<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: https://svn.osuosl.org/public/maintain-project/tags/release-3.0.0-RC1/htdocs/login.php $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Author(s): Michael Clay <claym@osuosl.org>                             |
// +------------------------------------------------------------------------+
// $Id: login.php 4488 2006-06-21 21:50:09Z wenzel $

/**
  * The Login Page
  *
  * @pacakge    htdocs
  */

require_once("includes.php");

/* Test to make sure that Maintain has been installed */
fresh_install();

require_once(FORMDIR."/LoginForm.php");

$skin = Skin::Factory("maintain");

// also temporary for debugging!
error_reporting(E_ALL ^ E_NOTICE);

$content = container();

$content->add(new FormProcessor(new LoginForm(),"loginform"));

$motd = container();
$motd = Module::apply_filter("login_motd", $motd);
$content->add($motd);

print $skin->displayLogin($content);

?>
